## gate.annotation
Interface EventAwareAnnotationSet

All Superinterfaces:
  AnnotationSet, Cloneable, Collection, Serializable, Set

All Known Implementing Classes:
  DatabaseAnnotationSetImpl

public interface EventAwareAnnotationSet
extends AnnotationSet

Method Summary
`Collection` `getAddedAnnotations()`
`Collection` `getChangedAnnotations()`
`Collection` `getRemovedAnnotations()`

Methods inherited from interface gate.AnnotationSet
`add, add, add, add, addAnnotationSetListener, addGateListener, firstNode, get, get, get, get, get, get, get, get, get, get, getAllTypes, getContained, getDocument, getName, iterator, lastNode, nextNode, remove, removeAnnotationSetListener, removeGateListener, size`

Methods inherited from interface java.util.Set
`addAll, clear, contains, containsAll, equals, hashCode, isEmpty, removeAll, retainAll, toArray, toArray`

Method Detail

### getAddedAnnotations

    public Collection getAddedAnnotations()

### getChangedAnnotations

    public Collection getChangedAnnotations()

### getRemovedAnnotations

    public Collection getRemovedAnnotations()